# Backface-Hiding

This Blender add-on hides the backfacing or occluded geometry to address the issue of Blender's Backface Culling not hiding mesh components in Edit mode (vertices, edges, faces).

It is mostly useful for retopology with X-Ray mode, but isn't limited to this use case.

ℹ This add-on doesn't perform in real-time like Backface Culling, it only updates the hidden geometry every time you click on the button or press the keyboard shortcut, which may be useful but also limiting.

## Features :
The following functions can be accessed through either of these 2 customizable ways:

    1. shortcuts: F5 to F8, changeable in add-on's preferences
    2. Backface tab in Viewport's right side panel, changeable in add-on's preferences

* **Hide backfacing :** hide the backfacing geometry
* **Hide occluded :** hide geometry occluded by other or outside of the viewport's screen area.
* **Reveal & restore selection :** reveal hidden geometry and restore the selection you made before hiding.
* **Reveal & keep selection :** reveal hidden geometry and keep the current selection (all hidden gets deselected)

Feel free to ask for improvements and give feedback here [with an issue](https://gitlab.com/ChameleonScales/backface-hiding-2.8x/issues) or in the [blenderartists thread](https://blenderartists.org/t/addon-backface-hiding/700822)

This addon was made on Blender 2.81

### TODO:
- unify the reveal operators in one that keeps the selection in visible geometry and restores the selection made in the hidden geometry
- improve performace on high-poly meshes


ℹ This add-on is distribued under the GPL version 3 license.